Bug 64390 - snmpd bombs out on startup with no error message
snmpd bombs out on startup with no error message
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: ucd-snmp (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-03 10:36 EDT by Graham Leggett
Modified: 2015-03-04 20:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-21 07:46:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2002-05-03 10:36:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.73 [en] (X11; I; Linux 2.4.19-pre7 ppc)

Description of problem:
After installing a config file within /etc/snmpd/snmpd.conf, and starting the
daemon with /etc/rc.d/init.d/snmpd, a check to see whether the daemon was
running showed that it was not.

An strace of snmpd showed that it was creating a log file /var/log/snmpd.log,
then forking - but the forked process dies without saying anything.

If config file errors existed, they were logged to /var/log/messages before
snmpd dies. If an attempt is made to shut down snmpd with /etc/rc.d/init.d/snmpd
stop, it reports "failed".


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Configure snmpd.conf
2. Start /etc/rc.d/init.d/snmpd start
3. ps -auxwww | grep snmpd shows no deamon running



Additional info:
Comment 1 Phil Knirsch 2002-05-21 07:45:59 EDT
You are probably using the original 7.2 version of ucd-snmp and activated the
disk option in the config file.

There have been numerous bug reports about this already in bugzilla, and the
latest version of RH 7.3, ucd-snmp-4.2.4-3 fixes this problem.

So if you could please give this version a try and see if it fixes your problem
i'd greately appreciate it.

Thanks,

Read ya, Phil
Comment 2 Phil Knirsch 2002-07-25 08:34:31 EDT
No comment in more than 2 months, i assume the released errata version fixes
your problem, so closing this bug as ERRATA.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.